"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const path_1 = __importDefault(require("path"));
const child_process_1 = require("child_process");
const util_1 = __importDefault(require("util"));
const { PATH } = process.env;
const BIN = path_1.default.join(__dirname, '..', 'bin');
process.env.PATH = `${PATH}:${BIN}`;
process.env.LD_LIBRARY_PATH = `${BIN}`;
process.env.PKG_CONFIG_PATH = `${BIN}`;
// execAsync returns a Promise for an Object with stdout and stderr properties. The returned ChildProcess instance is attached to the Promise as a child property. In case of an error (including any error resulting in an exit code other than 0), a rejected promise is returned, with the same error object given in the callback, but with two additional properties stdout and stderr.
const execAsync = util_1.default.promisify(child_process_1.exec);
const pdftk = (command) => {
    return execAsync(`pdftk ${command}`);
};
exports.default = pdftk;
